Loading...
Searching...
No Matches
Opm::Pybind::PyBlackOilSimulator Class Reference
Inheritance diagram for Opm::Pybind::PyBlackOilSimulator:

## Public Member Functions

| PyBlackOilSimulator (const std::string &deck_filename, const std::vector< std::string > &args)
| PyBlackOilSimulator (std::shared_ptr< Opm::Deck > deck, std::shared_ptr< Opm::EclipseState > state, std::shared_ptr< Opm::Schedule > schedule, std::shared_ptr< Opm::SummaryConfig > summary_config, const std::vector< std::string > &args)
Public Member Functions inherited from Opm::Pybind::PyBaseSimulator< Opm::Properties::TTag::FlowProblemTPFA >
| PyBaseSimulator (const std::string &deckFilename, const std::vector< std::string > &args)
| PyBaseSimulator (std::shared_ptr< Deck > deck, std::shared_ptr< EclipseState > state, std::shared_ptr< Schedule > schedule, std::shared_ptr< SummaryConfig > summary_config, const std::vector< std::string > &args)
void | advance (int report_step)
bool | checkSimulationFinished ()
int | currentStep ()
py::array_t< double > | getFluidStateVariable (const std::string &name) const
py::array_t< double > | getCellVolumes ()
double | getDT ()
py::array_t< double > | getPorosity ()
py::array_t< double > | getPrimaryVariable (const std::string &variable) const
py::array_t< int > | getPrimaryVarMeaning (const std::string &variable) const
std::map< std::string, int > | getPrimaryVarMeaningMap (const std::string &variable) const
int | run ()
void | setPorosity (PyCArray array)
void | setPrimaryVariable (const std::string &idx_name, PyCArray array)
void | setupMpi (bool init_mpi, bool finalize_mpi)
int | step ()
int | stepCleanup ()
int | stepInit ()

## Additional Inherited Members

Public Types inherited from Opm::Pybind::PyBaseSimulator< Opm::Properties::TTag::FlowProblemTPFA >
using | PyCArray
Protected Member Functions inherited from Opm::Pybind::PyBaseSimulator< Opm::Properties::TTag::FlowProblemTPFA >
FlowMain< Opm::Properties::TTag::FlowProblemTPFA > & | getFlowMain () const
PyFluidState< Opm::Properties::TTag::FlowProblemTPFA > & | getFluidState () const
PyMaterialState< Opm::Properties::TTag::FlowProblemTPFA > & | getMaterialState () const
Protected Attributes inherited from Opm::Pybind::PyBaseSimulator< Opm::Properties::TTag::FlowProblemTPFA >
const std::string | deck_filename_
bool | has_run_init_
bool | has_run_cleanup_
bool | mpi_init_
bool | mpi_finalize_
std::unique_ptr< PyMain< Opm::Properties::TTag::FlowProblemTPFA > > | main_
std::unique_ptr< FlowMain< Opm::Properties::TTag::FlowProblemTPFA > > | flow_main_
Simulator * | simulator_
std::unique_ptr< PyFluidState< Opm::Properties::TTag::FlowProblemTPFA > > | fluid_state_
std::unique_ptr< PyMaterialState< Opm::Properties::TTag::FlowProblemTPFA > > | material_state_
std::shared_ptr< Deck > | deck_
std::shared_ptr< EclipseState > | eclipse_state_
std::shared_ptr< Schedule > | schedule_
std::shared_ptr< SummaryConfig > | summary_config_
std::vector< std::string > | args_

The documentation for this class was generated from the following file:

- opm/simulators/flow/python/PyBlackOilSimulator.hpp